PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::optical::modal::FFT::Forward1D Struct Reference

Fourier transform of multiple 1D arrays. More...

`#include <solvers/optical/modal/fourier/fft.hpp>`

## Public Member Functions
| Forward1D ()
| Create uninitialized transform.
| Forward1D (Forward1D &&old)
| Move constructor.
Forward1D & | operator= (Forward1D &&old)
| Assignment operator.
| Forward1D (std::size_t strid, std::size_t n, Symmetry symmetry)
| Init transform.
| ~Forward1D ()
void | execute (dcomplex *data, int lot=0)
| Execute transform.

## Detailed Description

Fourier transform of multiple 1D arrays.

Definition at line 41 of file fft.hpp.

## Constructor & Destructor Documentation

## ◆ Forward1D() [1/3]

plask::optical::modal::FFT::Forward1D::Forward1D | ( |  | ) |

Create uninitialized transform.

Definition at line 24 of file fftpack.cpp.

## ◆ Forward1D() [2/3]

plask::optical::modal::FFT::Forward1D::Forward1D | ( | Forward1D && | old | ) |

Move constructor.

Definition at line 26 of file fftpack.cpp.

## ◆ Forward1D() [3/3]

plask::optical::modal::FFT::Forward1D::Forward1D | ( | std::size_t | strid,
|  | std::size_t | n,
|  | Symmetry | symmetry
| ) |  |

Init transform.

Parameters

  strid | data stride
  n | size of a single array
  symmetry | symmetry of the transform

Definition at line 42 of file fftpack.cpp.

## ◆ ~Forward1D()

plask::optical::modal::FFT::Forward1D::~Forward1D | ( |  | ) |

Definition at line 102 of file fftpack.cpp.

## Member Function Documentation

## ◆ execute()

void plask::optical::modal::FFT::Forward1D::execute | ( | dcomplex * | data,
|  | int | lot = `0`
| ) |  |

Execute transform.

Parameters

  data | data to execute FFT
  lot | number of arrays to transform, defaults to `strid`

Definition at line 63 of file fftpack.cpp.

## ◆ operator=()

Forward1D & plask::optical::modal::FFT::Forward1D::operator= | ( | Forward1D && | old | ) |

Assignment operator.

Definition at line 33 of file fftpack.cpp.

The documentation for this struct was generated from the following files:

- solvers/optical/modal/fourier/fft.hpp
- solvers/optical/modal/fourier/fftpack.cpp